Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-tables2
%global pkgname django-tables2
Name:           python-module-django-tables2
Version:        0.10.0
Release:        alt1_3
Summary:        Table framework for Django

License:        BSD
URL:            https://github.com/bradleyayers/django-tables2
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools


Provides:       django-tables2 = %{pkgname}-%{version}-%{release}
Source44: import.info

%description
django-tables2 simplifies the task of turning sets of data into HTML tables. 
It has native support for pagination and sorting. It does for HTML tables 
what django.forms does for HTML forms.

%prep
%setup -q -n %{pkgname}-%{version}

# remove included egg
rm -rf django_tables2.egg-info

# remove single hidden .DS_store
%{__rm} django_tables2/static/django_tables2/themes/paleblue/img/.DS_Store 

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT



%files
%doc LICENSE README.rst
%{python_sitelibdir_noarch}/django_tables2
%{python_sitelibdir_noarch}/django_tables2-%{version}-py2.?.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.10.0-alt1_2
- initial fc import

